%define	name	regexxer
%define	version	0.9
%define release	%mkrel 1


Summary:	GUI search/replace tool supporting Perl regular expression
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		http://regexxer.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Source1:	regexxer.desktop
Patch1:		regexxer-0.9-fixconfigure.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pcre-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	gconfmm2.6-devel >= 2.6.1
BuildRequires:	ImageMagick
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
regexxer is a nifty search/replace tool for the desktop user.  It features
recursive search through directory trees and Perl-style regular expressions
(using libpcre).

%prep
%setup -q
%patch1 -p1 -b .fixconfigure

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

#icons
mkdir -p $RPM_BUILD_ROOT{%_iconsdir,%_miconsdir,%_liconsdir}

install -D -m 644       ui/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# remove seemingly useless english translation
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/en/

install -m644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/regexxer.desktop

%find_lang %{name}

%post
%update_menus
%post_install_gconf_schemas %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sat Jan 03 2009 don_crissti <don_crissti@gmx.com> 0.9-1pclos2007
- import gget

